/******************** (c) Marvell Semiconductor, Inc., 2002 *******************
 *
 * $Header: X:/APCVSDEPOT/Bootloader/AP21/ap21_tftp_boot/defs.h,v 1.1.1.1 2002/12/30 20:44:05 cvu Exp $
 *
 * Purpose:
 *    This file contains the function prototypes and definitions for the
 *    GPIO setup code.
 *
 * Public Procedures:
 *    gpio_out_en             Enable the GPIO pins for output.
 *    gpwr                    Write 16 bits of data to the GPIO pins
 *
 * Notes:
 *    None.
 *
 *****************************************************************************/

#ifndef _DEFS_H_
#define _DEFS_H_

// defs.h: This file contains definitions of types used in the
//         project

typedef unsigned int    u32;
typedef unsigned short  u16;
typedef unsigned char    u8;
typedef int             s32;
typedef short           s16;
typedef unsigned char    s8;


#endif /* _DEFS_H_ */


