/******************** (c) Marvell Semiconductor, Inc., 2001 *******************
* 
* $Header: E:\\APCVSDEPOT/wlan/prod/ap/ap31/bridge/incl/txsched.h,v 1.4 2004/02/09 16:37:39 ctlaw Exp $ 
* 
* Purpose: 
*    This file contains the implementations of the transmit queue functions. 
* 
* Public Procedures: 

* 
* Private Procedures: 
*      
* 
* Notes: 
*    None. 
* 
****************************************************************************/

#include "wltypes.h"
#include "IEEE_types.h"
#include "macMgmtMlme.h"
#include "tx80211.h"
#include "stdio.h"
#include "oem.h"

#define MCBC_STN_ID         (MAX_STNS)
#define ISSPACE_AVAIL(qid)  (TRUE)
#define TC0_QID     0
#define TC1_QID     1
#define TC2_QID     2
#define TC3_QID     3
#define TC4_QID     4
#define TC5_QID     5
#define TC6_QID     6
#define TC7_QID     7
#define CM_QID      8    /* Control/management Queue */
#define BW_QID      9    /* Bandwidth Allocation/Request Queue */
#define PS_QID      10
#define CFP_QID     11
#define MCBC_QID    12   /* Multicast/Broadcast queue */
#define DONE_QID    13
#define MAX_QID     14

extern UINT32 CBP_QID; 
extern UINT32 BRATE_QID;

#ifdef USE_NEW_OSIF
#define ENQUE(qid, msgPtr) { DoneQMsg_p = msgPtr; \
                           os_EventTrigger(tx11EH, tx80211_FRAME_TX_DONE); }
#else
#define ENQUE(qid, msgPtr) { DoneQMsg_p = msgPtr; \
                           os_EventTrigger(sysinfo_802_11_TX_Q_EVENT, tx80211_FRAME_TX_DONE); }
#endif
#define DEQUE(qid, msgPtr) {msgPtr = DoneQMsg_p;\
                            DoneQMsg_p = NULL;}

typedef tx80211_MgmtMsg_t pktInfo_t;

extern WL_STATUS txsched_Init(void);
extern WL_STATUS AddToPriPollList(UINT16 Aid, UINT16 StnId);
extern WL_STATUS ProcessCfpEnd(void);
extern WL_STATUS ProcessCfpStart(void);
extern WL_STATUS ProcessTxDone(void);
extern WL_STATUS ProcessPwrModeChange(extStaDb_StaInfo_t *StaInfo_p);
