#                Copyright 2003, Marvell Semiconductor, Inc.
# This code contains confidential information of Marvell Semiconductor, Inc.
# No rights are granted herein under any patent, mask work right or copyright
# of Marvell or any third party.
# Marvell reserves the right at its sole discretion to request that this code
# be immediately returned to Marvell. This code is provided "as is".
# Marvell makes no warranties, express, implied or otherwise, regarding its
# accuracy, completeness or performance.

# BASH SHELL SCRIPT TO SETUP ENVIRONMENT VARIABLES FOR W8310 ON ECOS

###### MANDATORY ENVIRONMENT VARIABLES

# Where is the root of the source tree
# No need to export this if WLAN_DIR has been set in Windows environment
# by the DOS btach file prior to launching the bash shell
#export WLAN_DIR=/cygdrive/d/wlan

#Where is the directory that has the GNU tools chain
#export GCC_DIR=/cygdrive/c/cygwin/tools/H-i686-pc-cygwin/bin

#export HDR_MAK=$ROOT_DIR/build/ecos/hdr.mak
#export FTR_MAK=$ROOT_DIR/build/ecos/ftr.mak

# You can add your own environment variables here
# Or you can set them in the DOS batch file prior to launching the bash shell

# You may customize bash shell prompt, current working dir here
PS1=$'\\033[32m\n$VERSION \\033[31m$PROD_NAME \\033[33m\\w\\033[0m\n$ '
cd $PROD_BUILD_DIR
VERSION='AP31_SDK_2.20aS'
VERSION_STRING=$VERSION 
#echo $VERSION_STRING
export VERSION_STRING
PATH=/bin:$PATH

