#ifndef STATS_H
#define STATS_H

#include "wltypes.h"

#define BUILDMODES_STATS 1

typedef struct statistics
{
    UINT32 UpdateQCnt;                 /*1 */
    UINT32 DoneQCnt;                   /*2 */
    UINT32 TxQFull;                    /*3 */
    UINT32 RxBufErrCnt;                /*4 */
    UINT32 DataRecvCnt;                /*5 */
    UINT32 DataFreedCnt;               /*6 */
    UINT32 DataFreedOutofSeq;          /*7 */
    UINT32 DataDoubleFreeCnt;          /*8 */
    UINT32 MgmtRecvCnt;                /*9 */
    UINT32 MgmtFreedCnt;               /*10 */
    UINT32 MgmtFreedOutofSeq;          /*11 */
    UINT32 DataQCnt;                   /*12 */
    UINT32 DataTxFailCnt;              /*13 */
    UINT32 FCSErrCnt;                   /*14 */
    UINT32 DataTxSuccessCnt;           /*15 */
    UINT32 UnassociatedSrcCnt;         /*16 */
    UINT32 UnassociatedDstCnt;         /*17 */
    UINT32 DroppedCnt;                 /*18 */
    UINT32 MacRxMemErrCnt;             /*19 */
    UINT32 MacRxOverFlowCnt;           /*20 */
    UINT32 MacRxFragErrCnt;            /*21 */
    UINT32 MacPtrErrCnt;               /*22 */
    UINT32 MacTxUnderFlowCnt;          /*23 */
    UINT32 MacErrCnt;                  /*24 */
    UINT32 MacTxWatchDogTimeouts;      /*25 */
    UINT32 EthRecvCnt;                 /*26 */
    UINT32 EthTxCnt;                   /*27 */
    UINT32 EthRxResourceErrCnt;        /*28 */
    UINT32 EthRxErrCnt;                /*29 */
    UINT32 EthTxFailCnt;               /*30 */
    UINT32 DmaNotFinishedCnt;          /*31 */
    UINT32 EthRxDropNomem;             /*32 */
    UINT32 WlRxResetCnt;               /*33 */
    UINT32 WlRxStoppedCnt;             /*34 */
    UINT32 WlTxDataBytes;              /*35 */
    UINT32 PsQuePutCnt;                /*36 */
    UINT32 PsQueGetCnt;                /*37 */
    UINT32 DoubleAllocCnt;             /*38*/
    UINT32 EthDownTxFailCnt;           /*39*/
    UINT32 ResetCnt;                  /*40*/
    UINT32 monTimerCnt;
    UINT32 DoneQCnt1;               
}
Statistics;

extern Statistics Stats;
extern void msi_wl_StatsReset(void);
extern void msi_wl_StatsDisplay(unsigned char *buf);

#endif /*STATS_H*/
