/*************************************************************
 *                                                            
 *   List.h                                                
 *   Copy Right(2003) Marvell Semiconductors, Inc.           
 *                                                            
 *                                                            
 *   Author(s):    Jiaqi Shen                                 
 *   Date:         2003-05-29                                 
 *   Description:  This file defined a doulbe link list object
 *                                          
 *************************************************************
 */
#ifndef list_h
#define list_h

typedef struct ListItem
{
    struct ListItem *nxt;
    struct ListItem *prv;
}ListItem;


typedef struct List List;
struct List {
    ListItem *head;
    ListItem *tail;
    unsigned int cnt;
};

void ListInit(List *me);
ListItem *ListGetItem(List *me);
void ListPutItem(List *me, ListItem *Item);
ListItem *ListRmvItem(List *me, ListItem *Item);

#endif
