/*
*                Copyright 2003, Marvell International Ltd.
* This code contains confidential information of Marvell Semiconductor, Inc.
* No rights are granted herein under any patent, mask work right or copyright
* of Marvell or any third party.
* Marvell reserves the right at its sole discretion to request that this code
* be immediately returned to Marvell. This code is provided "as is".
* Marvell makes no warranties, express, implied or otherwise, regarding its
* accuracy, completeness or performance.
*/

/*!
 * \file    wlan.h
 * \brief   The implementation of the WLAN driver.
 *
*/

#ifndef WLAN_H
#define WLAN_H

#define WLAN_IOCTL_RESET    1

extern DEV_CTRL wlan_dev_ctrl;
extern QHANDLE wlTxQ, wlRxQ;
extern IO_BUF_DESC *wlan_rx_pkts(UINT8 Qid, UINT8 pkts, void *info);

#endif                          /* WLAN_H */
