/******************** (c) Marvell Semiconductor, Inc., 2002 *******************
 *
 * $Header: boot_monitor.h,v 0.1 2002-05-22 10:52:42-07
 *
 * Purpose:
 *    Function prototypes for the bootMonitor.
 *
 * Public Procedures:
 *    bootMonitor                    Main entry for the shell monitor.
 *
 * Private Procedures:
 *
 * Notes:
 *    None.
 *
 *****************************************************************************/

#ifndef _BOOT_MONITOR_H_
#define _BOOT_MONITOR_H_


//#include <stdio.h> /* ilanp: none of this for the while */
//#include <string.h>
//#include <stdlib.h>
#include "armon_version.h"


#define FOREVER 1
#define LINELEN  80
#define WORDLEN  16
#define MAXNARGS 4

//=============================================================================
//                    PUBLIC PROCEDURES (ANSI Prototypes)
//=============================================================================
/******************************************************************************
 *
 * Name: bootMonitor
 *
 * Description:
 *   This function creates shell window. 
 *
 * Conditions For Use:
 *   None.
 *
 * Arguments:
 *
 * Return Value:
 *   None.
 *
 * Notes:
 *   None.
 *
 *****************************************************************************/
extern void bootMonitor(void);

#endif /* _BOOT_MONITOR_H_ */
