#ifndef __INCgtEnvh
#define __INCgtEnvh

#include "MvCore.h"

#define ENVSIZE _2K

extern char environment[ENVSIZE];
/* gtEnv main function declarations */

bool envInit (void);
void envClear (void);
bool envSave (void);

char *envGet (const char *);
char *envGetValue (const char *);
bool envAdd (const char *);
bool envDel (const char *);
unsigned int envDump (char *);

/* Function for converting strings to other format */
unsigned int ipToUint (char *);

#endif /* __INCgtEnvH */
