#include "gtTftp.h"
//#include "..\drivers\ev64260.h"
//#include "..\drivers\gtFS.h"
//#include "..\drivers\gtFlash.h"
#include "gtMemory.h"
#include "gtDesc.h"
#include "gtEther.h"
#include "gtDma.h"
//#include "gtStdio.h" /* Rabeeh */
#include "gtTftpE.h"
#include <string.h>
//#include "..\toks.h"

                  
/*TX_DESC eth0_tx_desc_alloc[NT+1];  //memory space for tx desc. not 4bit alligned
  RX_DESC eth0_rx_desc_alloc[NR+1];  //memory space for rx desc. not 4bit alligned
  char eth0_tx_buffer_alloc[1600];   //memory space for tx buffer
  char eth0_rx_buffer_alloc[NR][1600];  //memory space for NR rx buffers (each buf is 1600B)
  char hashTableMem[16400];    //16KB for hash table, not 3bit alligned.
*/
//TOKEN           token;
//STATUS          stat;       
extern unsigned long   fileSize;
eth_initialization ethStruct;
//extern void * memcpy(void * to, const void * from, unsigned int n);
    
bool setTftpStruct()
{
    char  cmd[256]={},fileName[100]={},serverIP[20]={};
    fileSize = 0;
    fileName[0] = 0;
    ethStruct.fileName[0] = 0;
    ethStruct.serverIP[0] = 0;
    ethStruct.loadAddr[0] = 0;
    ethStruct.mac[0] = 0;
    
	/* Start init the tftp */
/*    if(strlen(serverIP) == 0 && !envGet ("tftpServerIP")) 
    {
//        armond_printf ("tftpServerIP not set in environment\n");
        return false;
    }
    if (!envGet ("tftpHostIP")) 
    {
//        armond_printf ("tftpHostIP not set in environment\n");
        return false;
    }
    if ((strlen (fileName) == 0) && (!envGet ("tftpImageName"))) 
    {
//        armond_printf ("tftpImageName not set in environment\n");
        return false;
    }
    if (!envGet ("eth0MAC")) 
    {
//        armond_printf ("eth0MAC not set in environment\n");
        return false;
    }
    if (!envGet ("tftpDownloadAddress")) 
    {
//        armond_printf ("tftpDownloadAddress not set in environment\n");
        return false;
    }

    if(strlen(fileName) == 0)
        strcpy(fileName, (char *)envGetValue("tftpImageName"));
    strcpy(ethStruct.fileName, fileName);
    if(serverIP[0] == '\0')
        strcpy(ethStruct.serverIP, (char *)envGetValue ("tftpServerIP"));
    else
        strcpy(ethStruct.serverIP, serverIP);
    strcpy(ethStruct.loadAddr,(char *) envGetValue ("tftpDownloadAddress"));
    strcpy(ethStruct.mac, (char *)envGetValue ("eth0MAC"));
    ethStruct.rxDataBuffBaseAddr = ((unsigned int)eth0_rx_buffer_alloc[0] & 0xfffffff0) + 0x10;
    ethStruct.rxDescBaseAddr = ((unsigned int)&eth0_rx_desc_alloc[0].cmd_sts & 0xfffffff0) + 0x10;
    ethStruct.txDescBaseAddr = ((unsigned int)&eth0_tx_desc_alloc[0].cmd_sts & 0xfffffff0) + 0x10;
    ethStruct.txDataBuffBaseAddr = ((unsigned int)eth0_tx_buffer_alloc & 0xfffffff0) + 0x10;
    ethStruct.hashTableBaseAddr= ((unsigned int)hashTableMem & 0xfffffff8) + 8;
    ethStruct.dmaCommand = DMA_DTL_8BYTES | DMA_BLOCK_TRANSFER_MODE;
    ethStruct.dmaEngine = DMA_ENG_0;

*/    

/*  tftpHostIP 10.2.1.137
	tftpServerIP 10.2.1.62
	tftpDownloadAddress 0x800c0000
	eth0MAC 00:00:00:00:00:05
	AUTOBOOT file
*/

//    strcpy(fileName, "linux.rawBinary");
    strcpy(fileName, "img1mb");
    strcpy(ethStruct.fileName, fileName);
    strcpy(ethStruct.serverIP, "10.68.129.253");
    strcpy(ethStruct.loadAddr,"0xd0000000");
    strcpy(ethStruct.mac, "11:00:55:ab:aa:ee");

    /* Original code */
    /*    ethStruct.rxDataBuffBaseAddr = ((unsigned int)eth0_rx_buffer_alloc[0] & 0xfffffff0) + 0x10;
    ethStruct.rxDescBaseAddr = ((unsigned int)&eth0_rx_desc_alloc[0].cmd_sts & 0xfffffff0) + 0x10;
    ethStruct.txDescBaseAddr = ((unsigned int)&eth0_tx_desc_alloc[0].cmd_sts & 0xfffffff0) + 0x10;
    ethStruct.txDataBuffBaseAddr = ((unsigned int)eth0_tx_buffer_alloc & 0xfffffff0) + 0x10;
    ethStruct.hashTableBaseAddr= ((unsigned int)hashTableMem & 0xfffffff8) + 8;
    */

    ethStruct.rxDataBuffBaseAddr = 0xd0300000; /* 3MByte offset */
    ethStruct.rxDescBaseAddr = 0xd030b000;
    ethStruct.txDescBaseAddr = 0xd030c000;
    ethStruct.txDataBuffBaseAddr = 0xd030e000;
    ethStruct.hashTableBaseAddr= 0xd030f000;

    ethStruct.dmaCommand = DMA_DTL_8BYTES | DMA_BLOCK_TRANSFER_MODE;
    ethStruct.dmaEngine = DMA_ENG_0;
//    armond_printf ("server IP %s, MAC %s, image name %s\n",ethStruct.serverIP, ethStruct.mac, ethStruct.fileName);
}

void ltftp(void)
{
    ethStruct.portNumber = 0; 
    setTftpStruct();
    tftp_load_network(ethStruct);
}




